S3 Put Object Legal Hold
  • 01 Jun 2023
  • Dark
    Light

S3 Put Object Legal Hold

  • Dark
    Light

Article summary

PUThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/<your-key>?legal-hold

Applies a legal hold configuration to the specified object. For more information, see Enable Object Lock with the S3-Compatible API.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PARAMS

legal-hold


versionId

Optional. Specifies a particular version of the object.

PATH VARIABLES

bucket

Required. The name of the bucket

key

Required. Key of the object to be written.

Body (raw XML)

XML
<?xml version="1.0" encoding="UTF-8" standalone="yes"?><br style="box-sizing: border-box;"><LegalHold xmlns="http://s3.amazonaws.com/doc/2006-03-01/"><br style="box-sizing: border-box;">    <Status>ON</Status><br style="box-sizing: border-box;"></LegalHold>

Example Request

curl --location --request PUT 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/object-1?legal-hold=null' \
--data '<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<LegalHold xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <Status>ON</Status>
</LegalHold>'

Example Response

200 OK

Body

No response body

This request doesn't return any response body


Headers (8)

Cache-Control

max-age=0, no-cache, no-store

x-amz-request-id

56aa38410aaebdd

Content-Type


x-amz-id-2

aMa41BGZMOZMztjUfY9JmpzRnZLRjZmIQ

Content-Length

0

Date

Fri, 28 Jan 2022 23:14:48 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?